apiVersion: image.openshift.io/v1
kind: ImageStream
metadata:
  annotations:
    kfctl.kubeflow.io/kfdef-instance: rhods-nbc.redhat-ods-applications
    opendatahub.io/notebook-image-desc: Jupyter notebook image with PyTorch libraries
      and dependencies to start experimenting with advanced AI/ML notebooks.
    opendatahub.io/notebook-image-name: PyTorch
    opendatahub.io/notebook-image-order: "40"
    opendatahub.io/notebook-image-url: https://github.com/red-hat-data-services/notebooks/blob/main/jupyter/pytorch/ubi8-python-3.8
    openshift.io/image.dockerRepositoryCheck: "2023-04-04T06:51:12Z"
  creationTimestamp: "2023-04-04T06:50:54Z"
  generation: 4
  labels:
    component.opendatahub.io/name: jupyterhub
    opendatahub.io/component: "true"
    opendatahub.io/notebook-image: "true"
  name: pytorch
  namespace: redhat-ods-applications
  resourceVersion: "22846"
  uid: d7340028-5a6b-4880-8614-337053fe61eb
spec:
  lookupPolicy:
    local: true
  tags:
  - annotations:
      opendatahub.io/notebook-python-dependencies: '[{"name":"PyTorch","version":"1.8"},{"name":"Tensorboard","version":"2.6"},{"name":"Boto3","version":"1.17"},{"name":"Kafka-Python","version":"2.0"},{"name":"Matplotlib","version":"3.4"},{"name":"Numpy","version":"1.19"},{"name":"Pandas","version":"1.2"},{"name":"Scikit-learn","version":"0.24"},{"name":"Scipy","version":"1.6"}]'
      opendatahub.io/notebook-software: '[{"name":"Python","version":"v3.8"},{"name":"PyTorch","version":"1.8"}]'
      openshift.io/imported-from: quay.io/modh/cuda-notebooks
    from:
      kind: DockerImage
      name: quay.io/modh/cuda-notebooks@sha256:492c37fb4b71c07d929ac7963896e074871ded506230fe926cdac21eb1ab9db8
    generation: 2
    importPolicy: {}
    name: py3.8-cuda-11.4.2-2
    referencePolicy:
      type: Local
  - annotations: null
    from:
      kind: DockerImage
      name: registry.access.redhat.com/ubi8/ubi
    generation: 4
    importPolicy: {}
    name: ubi
    referencePolicy:
      type: Source
status:
  dockerImageRepository: image-registry.openshift-image-registry.svc:5000/redhat-ods-applications/pytorch
  tags:
  - items:
    - created: "2023-04-04T06:50:55Z"
      dockerImageReference: quay.io/modh/cuda-notebooks@sha256:492c37fb4b71c07d929ac7963896e074871ded506230fe926cdac21eb1ab9db8
      generation: 2
      image: sha256:492c37fb4b71c07d929ac7963896e074871ded506230fe926cdac21eb1ab9db8
    tag: py3.8-cuda-11.4.2-2
  - items:
    - created: "2023-04-04T06:51:12Z"
      dockerImageReference: registry.access.redhat.com/ubi8/ubi@sha256:9c136dfb378c5c88aa476b3e62a714fc8202be5135a6f6a83b94fdc296e66a16
      generation: 4
      image: sha256:9c136dfb378c5c88aa476b3e62a714fc8202be5135a6f6a83b94fdc296e66a16
    tag: ubi
